name: facebook/rocksdb/benchmark-linux
on: workflow_dispatch
permissions: {}
  # FIXME: Disabled temporarily
  # schedule:
  # - cron: 7 */2 * * *  # At minute 7 past every 2nd hour
jobs:
  benchmark-linux:
    if: ${{ github.repository_owner == 'facebook' }}
    runs-on: ubuntu-latest # FIXME: change this back to self-hosted when ready
    steps:
    - uses: actions/checkout@v4.1.0
    - uses: "./.github/actions/build-for-benchmarks"
    - uses: "./.github/actions/perform-benchmarks"
    - uses: "./.github/actions/post-benchmarks"
